Debian Bug report logs - #317333
udev: /dev/input/mice does not show up anymore

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: Mourad De Clerck <debian-bugs@aquazul.com>

Date: Thu, 7 Jul 2005 18:03:05 UTC

Severity: important

Tags: help, moreinfo, unreproducible

Found in versions 0.060-1, 0.062-4, 0.062-1

Fixed in versions udev/0.069-1, udev/0.070-1

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Mourad De Clerck <debian-bugs@aquazul.com>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mourad De Clerck <debian-bugs@aquazul.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: udev: /dev/input/mice does not show up anymore
Date: Thu, 07 Jul 2005 19:59:52 +0200
Package: udev
Version: 0.060-1
Severity: normal

Ever since upgrading to 0.060 I noticed /dev/input/mice doesn't get 
created on boot. (X won't start up since that's my only corepointer)

This system has 2 USB mice, and no PS/2 mice. /dev/input/mouse[01] 
are correctly made. /sys/class/input/mice/dev seems to be there too. 

Making the node manually works of course.

Thanks,

-- Moourad DC

-- Package-specific info:
-- /etc/udev/rules.d/:
/etc/udev/rules.d/:
total 0
lrwxrwxrwx  1 root root 20 Apr 12 13:04 020_permissions.rules -> ../permissions.rules
lrwxrwxrwx  1 root root 12 Jul  2 19:33 050_hal-plugdev.rules -> ../hal.rules
lrwxrwxrwx  1 root root 19 Dec  5  2004 cd-aliases.rules -> ../cd-aliases.rules
lrwxrwxrwx  1 root root 13 Apr 24  2004 udev.rules -> ../udev.rules
lrwxrwxrwx  1 root root 12 Jul  5 00:59 z50_run.rules -> ../run.rules
lrwxrwxrwx  1 root root 17 Jul  5 00:59 z70_hotplugd.rules -> ../hotplugd.rules

-- /sys/:
/sys/block/hda/dev
/sys/block/hda/hda1/dev
/sys/block/hda/hda2/dev
/sys/block/hda/hda3/dev
/sys/block/hdc/dev
/sys/block/ram0/dev
/sys/block/ram1/dev
/sys/block/ram10/dev
/sys/block/ram11/dev
/sys/block/ram12/dev
/sys/block/ram13/dev
/sys/block/ram14/dev
/sys/block/ram15/dev
/sys/block/ram2/dev
/sys/block/ram3/dev
/sys/block/ram4/dev
/sys/block/ram5/dev
/sys/block/ram6/dev
/sys/block/ram7/dev
/sys/block/ram8/dev
/sys/block/ram9/dev
/sys/block/sda/dev
/sys/block/sda/sda1/dev
/sys/class/graphics/fb0/dev
/sys/class/input/event0/dev
/sys/class/input/event1/dev
/sys/class/input/event2/dev
/sys/class/input/event3/dev
/sys/class/input/event4/dev
/sys/class/input/mice/dev
/sys/class/input/mouse0/dev
/sys/class/input/mouse1/dev
/sys/class/input/ts0/dev
/sys/class/input/ts1/dev
/sys/class/misc/agpgart/dev
/sys/class/misc/hpet/dev
/sys/class/misc/psaux/dev
/sys/class/misc/rtc/dev
/sys/class/nvidia/nvidia0/dev
/sys/class/nvidia/nvidiactl/dev
/sys/class/sound/adsp/dev
/sys/class/sound/audio/dev
/sys/class/sound/controlC0/dev
/sys/class/sound/dsp/dev
/sys/class/sound/mixer/dev
/sys/class/sound/pcmC0D0c/dev
/sys/class/sound/pcmC0D0p/dev
/sys/class/sound/pcmC0D1c/dev
/sys/class/sound/pcmC0D2p/dev
/sys/class/sound/timer/dev
/sys/class/usb/hiddev0/dev

-- Kernel configuration:
 isapnp_init not present.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11-1-k7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages udev depends on:
ii  hotplug                  0.0.20040329-22 Linux Hotplug Scripts
ii  initscripts              2.86.ds1-1      Standard scripts needed for bootin
ii  libc6                    2.3.2.ds1-22    GNU C Library: Shared libraries an
ii  libselinux1              1.24-1          SELinux shared libraries
ii  makedev                  2.3.1-78        creates device files in /dev
ii  sed                      4.1.4-2         The GNU sed stream editor

udev recommends no packages.

-- debconf information:
  udev/devfs-warning:
* udev/reboot-warning:



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to David Pashley <david@davidpashley.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #10 received at 317333@bugs.debian.org (full text, mbox):

From: David Pashley <david@davidpashley.com>
To: 317333@bugs.debian.org
Subject: reloading mousedev works
Date: Sat, 9 Jul 2005 07:22:25 +0100
I've discovered that reloading mousedev works (rmmod mousedev; modprobe
mousedev) and the device is correctly created. I have mousedev in
/etc/modules. It seems that when the module gets loaded during boot udev
fails to notice the device and doesn't create it, but does after the
machine has booted. I don't have anything else that creates a device
node in /etc/modules, so I don't know if it is just mousedev or anything
in /etc/modules.

-- 
David Pashley
david@davidpashley.com
Nihil curo de ista tua stulta superstitione.



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Noèl Köthe <noel@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #15 received at 317333@bugs.debian.org (full text, mbox):

From: Noèl Köthe <noel@debian.org>
To: 317333@bugs.debian.org
Cc: debian-bugs@aquazul.com
Subject: udev and mouse
Date: Sun, 10 Jul 2005 11:00:44 +0200
[Message part 1 (text/plain, inline)]
Hello,

I have the same problem and after booting I restart udev:

/etc/init.d/udev restart

and then I get the missing devices.

-- 
Noèl Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #20 received at 317333@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: 317626-submitter@bugs.debian.org
Cc: 317333@bugs.debian.org, 317332@bugs.debian.org
Subject: Same issues here.
Date: Sun, 10 Jul 2005 10:14:48 +0100
Looks like udev is the problem here.  Try downgrading udev < 0.060...

I had exactly the same issues, couldn't start X no mice, couldn't load ALSA 
hardware...

I downgraded to udev/testing (0.056-3) and everything is working again.

Have a look at http://bugs.debian.org/317626, http://bugs.debian.org/317332 
and http://bugs.debian.org/317333. Perhaps these three could be merged.

Mark



Tags added: unreproducible, upstream Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 317333 317626. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 317333 317626 317639. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Mourad De Clerck <debian-bugs@aquazul.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #33 received at 317333@bugs.debian.org (full text, mbox):

From: Mourad De Clerck <debian-bugs@aquazul.com>
To: 317333@bugs.debian.org
Subject: Re: udev and mouse
Date: Sun, 10 Jul 2005 22:05:11 +0200
On Sun, 2005-07-10 at 11:00 +0200, Noèl Köthe wrote:
> I have the same problem and after booting I restart udev:
>
> /etc/init.d/udev restart
>
> and then I get the missing devices.

I just updated to 0.062-1, and now it's not just /dev/input/mice
anymore, but my alsa devices, input devices, nvidia, etc that just isn't
there on boot.

As Noèl mentions, doing /etc/init.d/udev restart after boot fixes it.


-- M









Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Didrik Pinte <dpinte@itae.be>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #38 received at 317333@bugs.debian.org (full text, mbox):

From: Didrik Pinte <dpinte@itae.be>
To: 317333@bugs.debian.org
Subject: same here with 2.6.12 kernel
Date: Tue, 12 Jul 2005 14:16:34 +0200
[Message part 1 (text/plain, inline)]
Hi,

As asked by udev 0.062 (0.062-4 here), i've installed a custom 2.6.12
kernel on my Sid.

My mouse and alsa driver aren't created anymore and it seems a lot of
devices not needed a created also (ex: tty[a-z]7, ..)

Didrik
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #43 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Didrik Pinte <dpinte@itae.be>, 317333@bugs.debian.org
Subject: Re: Bug#317333: same here with 2.6.12 kernel
Date: Tue, 12 Jul 2005 14:39:56 +0200
[Message part 1 (text/plain, inline)]
On Jul 12, Didrik Pinte <dpinte@itae.be> wrote:

> As asked by udev 0.062 (0.062-4 here), i've installed a custom 2.6.12
> kernel on my Sid.
> 
> My mouse and alsa driver aren't created anymore and it seems a lot of
> devices not needed a created also (ex: tty[a-z]7, ..)
This definitely needs to be investigated. Please report the content of
/etc/udev/ and /etc/udev/rules.d/
Also, are you sure that the relevant drivers have been loaded?

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Didrik Pinte <dpinte@itae.be>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #48 received at 317333@bugs.debian.org (full text, mbox):

From: Didrik Pinte <dpinte@itae.be>
To: 317333@bugs.debian.org
Subject: Re: Bug#317333: same here with 2.6.12 kernel
Date: Tue, 12 Jul 2005 14:47:03 +0200
[Message part 1 (text/plain, inline)]
Le mardi 12 juillet 2005 à 14:39 +0200, Marco d'Itri a écrit :
> On Jul 12, Didrik Pinte <dpinte@itae.be> wrote:
> 
> > As asked by udev 0.062 (0.062-4 here), i've installed a custom 2.6.12
> > kernel on my Sid.
> > 
> > My mouse and alsa driver aren't created anymore and it seems a lot of
> > devices not needed a created also (ex: tty[a-z]7, ..)
> This definitely needs to be investigated. Please report the content of
> /etc/udev/ and /etc/udev/rules.d/
> Also, are you sure that the relevant drivers have been loaded?

Sure, lsmod after boot has all the modules loaded (snd_intel8x0, psmouse
and mousedev are loaded). 

I've also tried to purge udev installation and reinstall it after
without success.

A /etc/init.d/udev restart always fix the problem after the boot.

Here are the content of /etc/udev and /etc/udev/rules.d :

geru-itea:/home/did# ls /etc/udev
cd-aliases.rules   hotplugd.rules           scripts
cdsymlinks.conf    links.conf               simple-cd-aliases.rules
compat-full.rules  permissionsd.old.tar.gz  thinkpad.rules
compat.rules       permissions.rules        udev.conf
devfs.rules        rules.d                  udev.rules
hal.rules          run.rules                udev.rules.labjack


geru-itea:/etc/udev/rules.d# ls
020_permissions.rules  cd-aliases.rules  udev.rules
z70_hotplugd.rules
050_hal-plugdev.rules  thinkpad.rules    z50_run.rules


Didrik
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Noèl Köthe <noel@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #53 received at 317333@bugs.debian.org (full text, mbox):

From: Noèl Köthe <noel@debian.org>
To: 317333@bugs.debian.org
Cc: Mourad De Clerck <debian-bugs@aquazul.com>
Subject: fixed for me with latest version
Date: Tue, 12 Jul 2005 19:22:02 +0200
[Message part 1 (text/plain, inline)]
Hello,

the update of udev to now 0.062-4 fixed my problem with the
missing /dev/input/mice and I dont have to restart udev after rebooting
anymore.

$ uname -a
Linux apu 2.6.11-1-686 #1 Mon Jun 20 22:00:38 MDT 2005 i686 GNU/Linux

thx.

-- 
Noèl Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #58 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: NoÚl Köthe <noel@debian.org>, 317333@bugs.debian.org
Cc: Mourad De Clerck <debian-bugs@aquazul.com>, Kay Sievers <kay.sievers@vrfy.org>
Subject: Re: Bug#317333: fixed for me with latest version
Date: Tue, 12 Jul 2005 19:42:30 +0200
[Message part 1 (text/plain, inline)]
On Jul 12, Noèl Köthe <noel@debian.org> wrote:

> the update of udev to now 0.062-4 fixed my problem with the
> missing /dev/input/mice and I dont have to restart udev after rebooting
> anymore.
> 
> $ uname -a
> Linux apu 2.6.11-1-686 #1 Mon Jun 20 22:00:38 MDT 2005 i686 GNU/Linux
This is interesting, because nothing in udev itself was changed.
(IOW, this bug is even more subtle...)

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Mourad De Clerck <debian-bugs@aquazul.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #63 received at 317333@bugs.debian.org (full text, mbox):

From: Mourad De Clerck <debian-bugs@aquazul.com>
To: "Noèl Köthe" <noel@debian.org>
Cc: 317333@bugs.debian.org
Subject: Re: fixed for me with latest version
Date: Tue, 12 Jul 2005 20:09:04 +0200
On Tue, 2005-07-12 at 19:22 +0200, Noèl Köthe wrote:
> the update of udev to now 0.062-4 fixed my problem with the
> missing /dev/input/mice and I dont have to restart udev after rebooting
> anymore.

Are you sure udev is not just deactivated? I think Marco set it up so
that udev detects whether or not 2.6.12 is running, and if it's not
(like in your case 2.6.11) it just stops. Well, that's how I understood
it at least.

Personally I had to temporarily downgrade to sarge's udev, seeing as I
was getting more problems (sbp2 problems) - at least until 2.6.12 enters
debian.

-- M





Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #68 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Mourad De Clerck <debian-bugs@aquazul.com>, 317333@bugs.debian.org
Cc: Noèl Köthe <noel@debian.org>
Subject: Re: Bug#317333: fixed for me with latest version
Date: Tue, 12 Jul 2005 20:28:38 +0200
[Message part 1 (text/plain, inline)]
On Jul 12, Mourad De Clerck <debian-bugs@aquazul.com> wrote:

> Are you sure udev is not just deactivated? I think Marco set it up so
> that udev detects whether or not 2.6.12 is running, and if it's not
> (like in your case 2.6.11) it just stops. Well, that's how I understood
> it at least.
Not when upgrading from earlier 0.060-* versions.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Ralf Hildebrandt <ralf.hildebrandt@charite.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #73 received at 317333@bugs.debian.org (full text, mbox):

From: Ralf Hildebrandt <ralf.hildebrandt@charite.de>
To: Debian Bug Tracking System <317333@bugs.debian.org>
Subject: udev: /dev/input/mice is not being created at boot-time
Date: Wed, 13 Jul 2005 11:08:16 +0200
Package: udev
Version: 0.062-4
Followup-For: Bug #317333

In addition to the observations of the initial reporter I must report,
that /etc/init.d/udev restart does INDEED (after the bootup) DOES create
/dev/input/mice. So I wonder if this is a timing problem?


-- Package-specific info:
-- /etc/udev/rules.d/:
/etc/udev/rules.d/:
total 0
lrwxrwxrwx  1 root root 20 Apr 10 09:58 020_permissions.rules -> ../permissions.rules
lrwxr-xr-x  1 root root 19 Dec  4  2004 cd-aliases.rules -> ../cd-aliases.rules
lrwxrwxrwx  1 root root 13 Jul  4  2004 udev.rules -> ../udev.rules
lrwxrwxrwx  1 root root 12 Jul  4 09:30 z50_run.rules -> ../run.rules
lrwxrwxrwx  1 root root 17 Jul  4 09:30 z70_hotplugd.rules -> ../hotplugd.rules

-- /sys/:
/sys/block/hda/dev
/sys/block/hda/hda1/dev
/sys/block/hda/hda2/dev
/sys/block/hda/hda3/dev
/sys/block/hdc/dev
/sys/block/ram0/dev
/sys/block/ram1/dev
/sys/block/ram10/dev
/sys/block/ram11/dev
/sys/block/ram12/dev
/sys/block/ram13/dev
/sys/block/ram14/dev
/sys/block/ram15/dev
/sys/block/ram2/dev
/sys/block/ram3/dev
/sys/block/ram4/dev
/sys/block/ram5/dev
/sys/block/ram6/dev
/sys/block/ram7/dev
/sys/block/ram8/dev
/sys/block/ram9/dev
/sys/class/graphics/fb0/dev
/sys/class/input/event0/dev
/sys/class/input/event1/dev
/sys/class/input/event2/dev
/sys/class/input/event3/dev
/sys/class/input/mice/dev
/sys/class/input/mouse0/dev
/sys/class/input/mouse1/dev
/sys/class/input/mouse2/dev
/sys/class/input/ts0/dev
/sys/class/input/ts1/dev
/sys/class/input/ts2/dev
/sys/class/misc/ndiswrapper/dev
/sys/class/misc/psaux/dev
/sys/class/misc/rtc/dev
/sys/class/ppp/ppp/dev
/sys/class/printer/lp0/dev
/sys/class/sound/adsp/dev
/sys/class/sound/audio/dev
/sys/class/sound/audio1/dev
/sys/class/sound/controlC0/dev
/sys/class/sound/controlC1/dev
/sys/class/sound/dsp/dev
/sys/class/sound/dsp1/dev
/sys/class/sound/mixer/dev
/sys/class/sound/mixer1/dev
/sys/class/sound/pcmC0D0c/dev
/sys/class/sound/pcmC0D0p/dev
/sys/class/sound/pcmC0D1c/dev
/sys/class/sound/pcmC0D2p/dev
/sys/class/sound/pcmC1D0c/dev
/sys/class/sound/pcmC1D0p/dev
/sys/class/sound/timer/dev

-- Kernel configuration:
 isapnp_init not present.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13-rc3
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages udev depends on:
ii  hotplug                  0.0.20040329-24 Linux Hotplug Scripts
ii  initscripts              2.86.ds1-1      Standard scripts needed for bootin
ii  libc6                    2.3.5-1         GNU C Library: Shared libraries an
ii  libselinux1              1.24-1          SELinux shared libraries
ii  makedev                  2.3.1-78        creates device files in /dev
ii  sed                      4.1.4-2         The GNU sed stream editor

udev recommends no packages.

-- debconf information:
  udev/devfs-warning:
* udev/reboot-warning:



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #78 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Ralf Hildebrandt <ralf.hildebrandt@charite.de>, 317333@bugs.debian.org
Subject: Re: Bug#317333: udev: /dev/input/mice is not being created at boot-time
Date: Wed, 13 Jul 2005 11:51:49 +0200
[Message part 1 (text/plain, inline)]
On Jul 13, Ralf Hildebrandt <ralf.hildebrandt@charite.de> wrote:

> In addition to the observations of the initial reporter I must report,
> that /etc/init.d/udev restart does INDEED (after the bootup) DOES create
> /dev/input/mice. So I wonder if this is a timing problem?
This sucks, I see that you are running 2.6.13rc...

Please reboot with this installed as
/etc/hotplug.d/default/logger.hotplug and send me the compressed
/dev/hotplug.log file.

-- 
ciao,
Marco
[logger.hotplug (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to "Joost Kooij" <joost@213-84-68-67.adsl.xs4all.nl>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #83 received at 317333@bugs.debian.org (full text, mbox):

From: "Joost Kooij" <joost@213-84-68-67.adsl.xs4all.nl>
To: 317333@bugs.debian.org
Subject: Possible fix
Date: Wed, 13 Jul 2005 18:27:49 -0700
Hi,

I set the logging from "err" to "info" in /etc/udev/udev.conf and
I got errors in the syslog like so:
udevinfo[2129]: udev_db.c: unable to read db file '/dev/.udevdb/class@input@mous e0These did not show up with "err" logging.  Strange..

Anyway, the problem turned out to be a broken udev_db setting in udev.conf
My udev.conf had it set to "/dev/.udevdb", but because /etc/init.d/udev-mtab
doesn't bind mount that (anymore?), it is not there.  After changing it to
"/dev/.static/dev/.udevdb", things were all merry again.

Perhaps this helps?

Cheers,


Joost



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #88 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Joost Kooij <joost@213-84-68-67.adsl.xs4all.nl>, 317333@bugs.debian.org
Subject: Re: Bug#317333: Possible fix
Date: Thu, 14 Jul 2005 16:47:54 +0200
[Message part 1 (text/plain, inline)]
On Jul 14, Joost Kooij <joost@213-84-68-67.adsl.xs4all.nl> wrote:

> Anyway, the problem turned out to be a broken udev_db setting in udev.conf
> My udev.conf had it set to "/dev/.udevdb", but because /etc/init.d/udev-mtab
> doesn't bind mount that (anymore?), it is not there.  After changing it to
> "/dev/.static/dev/.udevdb", things were all merry again.
No, this is meaningless. /etc/init.d/udev-mtab has nothing to do with
this, the directory is supposed to be created by udevstart and using
/dev/.static/dev/.udevdb is definitely wrong because the file system
will be read only.
Let's try a different approach. What happens if you restore the correct
udev.conf and add "mkdir /dev/.udevdb" to /etc/init.d/udev after the
"warn_if_interactive" line?

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Ralf Hildebrandt <Ralf.Hildebrandt@charite.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #93 received at 317333@bugs.debian.org (full text, mbox):

From: Ralf Hildebrandt <Ralf.Hildebrandt@charite.de>
To: Marco d'Itri <md@Linux.IT>
Cc: Ralf Hildebrandt <ralf.hildebrandt@charite.de>, 317333@bugs.debian.org
Subject: Re: Bug#317333: udev: /dev/input/mice is not being created at boot-time
Date: Thu, 14 Jul 2005 16:56:12 +0200
[Message part 1 (text/plain, inline)]
* Marco d'Itri <md@Linux.IT>:

> > In addition to the observations of the initial reporter I must report,
> > that /etc/init.d/udev restart does INDEED (after the bootup) DOES create
> > /dev/input/mice. So I wonder if this is a timing problem?

> This sucks, I see that you are running 2.6.13rc...

You bet it sucks :) I played around a bit and  found that it happens
sometimes, sometimes it doesn't. I don't know what it depends on. Even
with the SAME kernel -- sometimes it works, sometimes it doesn't.

> Please reboot with this installed as
> /etc/hotplug.d/default/logger.hotplug and send me the compressed
> /dev/hotplug.log file.

I did that. If the device files are not created I get NO logfile. If
the bootup works correctly, I get a log (attached).

-- 
_________________________________________________

  Charité - Universitätsmedizin Berlin
_________________________________________________

  Ralf Hildebrandt
   i.A. Geschäftsbereich Informationsmanagement
   Campus Benjamin Franklin
   Hindenburgdamm 30 | Berlin
   Tel. +49 30 450 570155 | Fax +49 30 450 570962
   Ralf.Hildebrandt@charite.de
   http://www.charite.de
[hotplug.log.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #98 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Ralf Hildebrandt <Ralf.Hildebrandt@charite.de>
Cc: 317333@bugs.debian.org
Subject: Re: Bug#317333: udev: /dev/input/mice is not being created at boot-time
Date: Thu, 14 Jul 2005 17:00:04 +0200
[Message part 1 (text/plain, inline)]
On Jul 14, Ralf Hildebrandt <Ralf.Hildebrandt@charite.de> wrote:

> > Please reboot with this installed as
> > /etc/hotplug.d/default/logger.hotplug and send me the compressed
> > /dev/hotplug.log file.
> I did that. If the device files are not created I get NO logfile. If
This is what other people reported too... It means that for some reason
*no* RUN rule is being honoured, which is even harder to explain.
One of the upstream maintainers suggested to try again with no rules
files (rename /etc/udev/rules.d/).
Myself, I suggest to also try again with "mkdir /dev/.udevdb/" in the
init script after the warn_if_interactive line.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Mourad De Clerck <debian-bugs@aquazul.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #103 received at 317333@bugs.debian.org (full text, mbox):

From: Mourad De Clerck <debian-bugs@aquazul.com>
To: 317333@bugs.debian.org
Subject: udev logfiles
Date: Thu, 14 Jul 2005 22:31:27 +0200
[Message part 1 (text/plain, inline)]
> Please reboot with this installed as
> /etc/hotplug.d/default/logger.hotplug and send me the compressed
> /dev/hotplug.log file.

I'm not sure if this is of use to you, considering I'm still using 2.6.11.

But here are the logs generated on boot for udev 0.056-3, 0.060-1, 0.062-1, 0.062-3 and 0.062-4.

These are the symptoms I experience with every udev version.
- 0.056-3: works perfectly
- 0.060-1: a bit of breakage, like /dev/input/mice missing
- 0.062-1: a boatload of breakage, like alsa devices (and lots of others) missing
- 0.062-3 and -4: udev gets disabled on boot, because kernel < 2.6.12, so I guess you can ignore these.

-- M


[udev_hotplug_logs.tar.gz (application/x-compressed-tar, attachment)]

Merged 317333 317626 317639 318334. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #112 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Ralf Hildebrandt <Ralf.Hildebrandt@charite.de>
Cc: 317333@bugs.debian.org
Subject: Re: Bug#317333: udev: /dev/input/mice is not being created at boot-time
Date: Fri, 15 Jul 2005 11:05:50 +0200
[Message part 1 (text/plain, inline)]
On Jul 14, Marco d'Itri <md@Linux.IT> wrote:

> Myself, I suggest to also try again with "mkdir /dev/.udevdb/" in the
> init script after the warn_if_interactive line.
This one works, and correctly works around the bug.
I will upload a fixed package in one or two days.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Tags removed: help, unreproducible, upstream Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@linux.it:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #119 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Mourad De Clerck <debian-bugs@aquazul.com>, 317333@bugs.debian.org, David Pashley <david@davidpashley.com>, NoÚl Köthe <noel@debian.org>, Mark Purcell <msp@debian.org>, Jaap Haitsma <jaap@haitsma.org>, Jukka Suomela <suo@iki.fi>, 317639@bugs.debian.org, Luca Corti <luca.corti@infinito.it>, Didrik Pinte <dpinte@itae.be>, Ralf Hildebrandt <ralf.hildebrandt@charite.de>, Joost Kooij <joost@213-84-68-67.adsl.xs4all.nl>, Jan Rasche <jr@rh-tec.de>, 318334@bugs.debian.org
Subject: Re: Bug#317333: udev: /dev/input/mice does not show up anymore
Date: Sat, 16 Jul 2005 01:27:18 +0200
[Message part 1 (text/plain, inline)]
I uploaded at http://www.bofh.it/~md/debian/ an updated package which
should fix this bug.
Please let me know how it will work (without replying to everybody!).

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to <joost@213-84-68-67.adsl.xs4all.nl>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #124 received at 317333@bugs.debian.org (full text, mbox):

From: <joost@213-84-68-67.adsl.xs4all.nl>
To: <317333@bugs.debian.org>
Subject: more info on udev bug
Date: Fri, 15 Jul 2005 17:05:27 -0700
Hi,

First of all, sorry for using telnet as a mail client.  Alas, I'm a little
underorganised right now, so this is in ad hoc mode.  I'll try to check the
bug log for any replies and necessary further info you might need.

I tried the "mkdir /dev/.udevdb" mod to /etc/init.d/udev and it did not help.
Some other things I tried, broke my system in many funny ways, but still
I could not find the source of the problem.  I did find a stray file + dir
/etc/udev/permissions.d/udev.permissions .  dpkg knew nothing about it.

Then I purged both udev and hotplug from my system and reinstalled.
This actually broke in the case of udev, report below.

I also tried booting an initrd kernel (2.6.13-rc3) and a straight kernel
(2.6.13-rc3-mm1) and it made no difference wrt the udev problem.  It did
bring up another data point, though (fwiw): I changed one hd controller
driver to be modular, which caused a problem in /etc/init.d/checkfs.sh (hde1
device not found).  That spawns an early root login, in which I restarted
udev, hoping that it would preempt the alsa/gpm/gdm errors later.  Alas, that
does not work either.  When later gdm has given up, udev restart still does
make the system completely functional again.

Here's a terminal dump of some of what I did:

thunderbird:/etc/udev# dpkg -S /etc/udev/permissions.d/
dpkg: /etc/udev/permissions.d/ not found.
thunderbird:/etc/udev# rm -r permissions.d/
thunderbird:/etc/udev# cd
thunderbird:~# apt-get install udev
Reading package lists... Done
Building dependency tree... Done
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
  udev: Depends: hotplug (>= 0.0.20040329-17)
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
thunderbird:~# apt-get install udev hotplug
Reading package lists... Done
Building dependency tree... Done
Suggested packages:
  ifrename
The following NEW packages will be installed:
  hotplug udev
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/351kB of archives.
After unpacking 1266kB of additional disk space will be used.
Selecting previously deselected package hotplug.
(Reading database ... 81643 files and directories currently installed.)
Unpacking hotplug (from .../hotplug_0.0.20040329-24_all.deb) ...
Selecting previously deselected package udev.
Unpacking udev (from .../archives/udev_0.062-4_i386.deb) ...
Setting up hotplug (0.0.20040329-24) ...

Setting up udev (0.062-4) ...
Populating the new /dev filesystem temporarily mounted on /tmp/udev.3vA3De/...
mount: special device /dev/pts/ does not exist
dpkg: error processing udev (--configure):
 subprocess post-installation script returned error exit status 32
Errors were encountered while processing:
 udev
E: Sub-process /usr/bin/dpkg returned an error code (1)
thunderbird:~# mount
/dev/hda1 on / type ext3 (rw,errors=remount-ro)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
/dev/hda6 on /usr type ext3 (rw)
/dev/hda7 on /var type ext3 (rw)
/dev/hda8 on /home type ext3 (rw)
/dev/hdd1 on /mnt type ext3 (rw)
usbfs on /proc/bus/usb type usbfs (rw)
nfsd on /proc/fs/nfsd type nfsd (rw)
tmpfs on /dev/shm type tmpfs (rw)
thunderbird:~# ls -l /dev/pts
ls: /dev/pts: No such file or directory
thunderbird:~# dpkg -S /dev/pts
dpkg: /dev/pts not found.
thunderbird:~# mkdir /dev/pts
thunderbird:~# apt-get install udev hotplug
Reading package lists... Done
Building dependency tree... Done
udev is already the newest version.
hotplug is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0B of archives.
After unpacking 0B of additional disk space will be used.
Setting up udev (0.062-4) ...
Populating the new /dev filesystem temporarily mounted on /tmp/udev.wmrJF6/...

thunderbird:~#

Cheers,

Joost

PS: I noticed that udev 0.64 is out..



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to <joost@213-84-68-67.adsl.xs4all.nl>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #129 received at 317333@bugs.debian.org (full text, mbox):

From: <joost@213-84-68-67.adsl.xs4all.nl>
To: <317333@bugs.debian.org>
Subject: udev 0.63 fixes problem
Date: Fri, 15 Jul 2005 17:22:54 -0700
Hi,

Here's a quick turnaround.  I got udev 0.63 from your website and everything
seems to work fine now.  Of course, in the last mail I meant to write "0.63 is
just out", instead of "0.64".  Anyway, thanks for the quick response to bugs
and upstream releases.

BTW, during debugging, I noticed that the scripts in the initrd image created
by the mkinitrd package assume devfs support still.  Perhaps they need a tune-
up and use udev instead?

Cheers,


Joost

(please reply to bug# only - this address bounces)



Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mourad De Clerck <debian-bugs@aquazul.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #134 received at 317333-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 317333-close@bugs.debian.org
Subject: Bug#317333: fixed in udev 0.063-1
Date: Sat, 16 Jul 2005 13:21:29 -0400
Source: udev
Source-Version: 0.063-1

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

udev_0.063-1.diff.gz
  to pool/main/u/udev/udev_0.063-1.diff.gz
udev_0.063-1.dsc
  to pool/main/u/udev/udev_0.063-1.dsc
udev_0.063-1_i386.deb
  to pool/main/u/udev/udev_0.063-1_i386.deb
udev_0.063.orig.tar.gz
  to pool/main/u/udev/udev_0.063.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 317333@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 15 Jul 2005 23:37:29 +0200
Source: udev
Binary: udev udev-udeb
Architecture: source i386
Version: 0.063-1
Distribution: unstable
Urgency: low
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 udev       - /dev/ management daemon
Closes: 317333 317639 318115 318334
Changes: 
 udev (0.063-1) unstable; urgency=low
 .
   * New upstream release.
   * Always create .udevdb in the init script, to make the enable_after_udev
     patch work. Many thanks to Kay Sievers for the invaluable debugging tips.
     (Closes: #317333, #317639, #318334)
   * Do not build the udeb with selinux support. (Closes: #318115)
Files: 
 26c942a48e499ea28e56c8d5b8f876ee 578 admin optional udev_0.063-1.dsc
 1f532521acc019a74b07dd8b91fe67f9 434670 admin optional udev_0.063.orig.tar.gz
 cdab7480ed10deecd2af2f4dc3c76a82 28415 admin optional udev_0.063-1.diff.gz
 65c5f3299983090b3e161e8664dfc823 293176 admin optional udev_0.063-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC2TpNFGfw2OHuP7ERAuGQAJ9qPFtjWAlY1KsPz+o3EXsDtVoGuwCaAnDm
A+5VaMZaOvW77GWA94mkJv4=
=MiMD
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Mourad De Clerck <debian-bugs@aquazul.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #139 received at 317333@bugs.debian.org (full text, mbox):

From: Mourad De Clerck <debian-bugs@aquazul.com>
To: 317333@bugs.debian.org
Subject: Re: Bug#317333 acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Thu, 28 Jul 2005 17:17:14 +0200
reopen 317333
thanks


On Sat, 2005-07-16 at 10:33 -0700, Debian Bug Tracking System wrote:
> Source: udev
> Source-Version: 0.063-1
> 
> We believe that the bug you reported is fixed in the latest version of
> udev, which is due to be installed in the Debian FTP archive:


Sorry, I'm afraid it's still there. I had installed 0.063-1 a while
back, but only recently installed 2.6.12 (linux-image-2.6.12-1-k7) - as
udev got disabled on boot with 2.6.11, I didn't see the bug of course. 

/dev/input/mice is still missing on boot.

Let me know how I can help you chase down this bug.

-- M






Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #144 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Mourad De Clerck <debian-bugs@aquazul.com>, 317333@bugs.debian.org
Subject: Re: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Thu, 28 Jul 2005 18:34:29 +0200
[Message part 1 (text/plain, inline)]
On Jul 28, Mourad De Clerck <debian-bugs@aquazul.com> wrote:

> Let me know how I can help you chase down this bug.
Are mousedev and all the other related drivers loaded?
Does /sys/class/input/mice/dev exist?
Does running udevstart make the device appear?
Did you read README.Debian?

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Disconnected #317333 from all other report(s). Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Mourad De Clerck <debian-bugs@aquazul.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #151 received at 317333@bugs.debian.org (full text, mbox):

From: Mourad De Clerck <debian-bugs@aquazul.com>
To: Marco d'Itri <md@Linux.IT>
Cc: 317333@bugs.debian.org
Subject: Re: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Thu, 28 Jul 2005 19:40:38 +0200
On Thu, 2005-07-28 at 18:34 +0200, Marco d'Itri wrote:
> On Jul 28, Mourad De Clerck <debian-bugs@aquazul.com> wrote:
> 
> > Let me know how I can help you chase down this bug.
> Are mousedev and all the other related drivers loaded?

mousedev is loaded in /etc/modules, just to be sure. Otherwise
everything I can think of (usbhid, bluetooth hidp etc) is all loaded by
hotplug etc.


> Does /sys/class/input/mice/dev exist?

yes.

$ cat /sys/class/input/mice/dev
13:63

> Does running udevstart make the device appear?

yes - doing a find in /dev/ before and after doing udevstart shows it
only affects /dev/input/mice - unlike previous episodes where lots of
other devices (like nvidia) were missing.

--- dev_after_boot_sorted.txt   2005-07-28 19:26:22.000000000 +0200
+++ dev_after_udevstart_sorted.txt      2005-07-28 19:26:39.000000000
+0200
@@ -5805,2 +5805,3 @@
 /dev/.udevdb/class@input@event5
+/dev/.udevdb/class@input@mice
 /dev/.udevdb/class@input@mouse0
@@ -5845,2 +5846,3 @@
 /dev/input/event5
+/dev/input/mice
 /dev/input/mouse0


> Did you read README.Debian?

yes - read and re-read.


-- Mourad






Bug reopened, originator not changed. Request was from Mourad De Clerck <debian-bugs@aquazul.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #158 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Mourad De Clerck <debian-bugs@aquazul.com>, 317333@bugs.debian.org
Subject: Re: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Sun, 14 Aug 2005 04:00:30 +0200
[Message part 1 (text/plain, inline)]
On Jul 28, Mourad De Clerck <debian-bugs@aquazul.com> wrote:

> Let me know how I can help you chase down this bug.
Please check if you can still reproduce this bug with udev 066 and a
2.6.12 kernel.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Mourad De Clerck <debian-bugs@aquazul.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #163 received at 317333@bugs.debian.org (full text, mbox):

From: Mourad De Clerck <debian-bugs@aquazul.com>
To: Marco d'Itri <md@Linux.IT>
Cc: 317333@bugs.debian.org
Subject: Re: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Sun, 14 Aug 2005 14:48:59 +0200
On Sun, 2005-08-14 at 04:00 +0200, Marco d'Itri wrote:
> On Jul 28, Mourad De Clerck <debian-bugs@aquazul.com> wrote:
> > Let me know how I can help you chase down this bug.
> Please check if you can still reproduce this bug with udev 066 and a
> 2.6.12 kernel.

Unfortunately, using linux-image-2.6.12-1-k7 2.6.12-2 and udev 0.066-1 I
can still reproduce this bug. After boot certain devices don't show up,
but after running udevstart they seem to be there. Compared to the
previous udev version I checked where only /dev/input/mice was affected,
now my cdrw/dvd devices seem to be affected too:

--- dev_after_boot.txt  2005-08-14 14:33:44.000000000 +0200
+++ dev_after_udevstart.txt     2005-08-14 14:34:06.000000000 +0200
@@ -1,2 +1,5 @@
 /dev/
+/dev/dvd
+/dev/cdrw
+/dev/cdrom
 /dev/vcsa5
@@ -20,2 +23,3 @@
 /dev/input
+/dev/input/mice
 /dev/input/event5
@@ -745,2 +749,4 @@
 /dev/.udevdb
+/dev/.udevdb/class@input@mice
+/dev/.udevdb/block@hdc
 /dev/.udevdb/class@input@event5

-- Mourad





Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #168 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Mourad De Clerck <debian-bugs@aquazul.com>
Cc: 317333@bugs.debian.org
Subject: Re: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Sun, 14 Aug 2005 14:57:25 +0200
[Message part 1 (text/plain, inline)]
On Aug 14, Mourad De Clerck <debian-bugs@aquazul.com> wrote:

> Unfortunately, using linux-image-2.6.12-1-k7 2.6.12-2 and udev 0.066-1 I
> can still reproduce this bug. After boot certain devices don't show up,
> but after running udevstart they seem to be there. Compared to the
> previous udev version I checked where only /dev/input/mice was affected,
> now my cdrw/dvd devices seem to be affected too:
You will have to try with some extensive debugging then.
Please add to the udev init script commands to mount / (or /var) rw and
start syslogd just before udevstart is called:

mount / -o rw,remount
/etc/init.d/sysklogd start

Set udev_log="debug" in /etc/udev/udev.conf and then reboot with
init=/bin/bash on the kernel command line and manually start udev:

/etc/rcS.d/S02mountvirtfs start
/etc/rcS.d/S04udev start

You should find some useful debugging information in the log.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Tags added: unreproducible, moreinfo, help Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #175 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Mourad De Clerck <debian-bugs@aquazul.com>, 317333@bugs.debian.org
Subject: Re: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Sun, 21 Aug 2005 12:16:46 +0200
[Message part 1 (text/plain, inline)]
On Aug 14, Marco d'Itri <md@Linux.IT> wrote:

> > Let me know how I can help you chase down this bug.
> Please check if you can still reproduce this bug with udev 066 and a
> 2.6.12 kernel.
What about 068?

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to boppy@RiotRadio.de:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #180 received at 317333@bugs.debian.org (full text, mbox):

From: boppy <boppy@RiotRadio.de>
To: 317333@bugs.debian.org, md@linux.it
Subject: Re: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Mon, 22 Aug 2005 15:27:06 +0200
[Message part 1 (text/plain, inline)]
Hi,
I use Version: 0.068-1 and kernel 2.6.12. 
After booting there is still no /dev/input/mice.
If I restart udev everything works fine.

 Andreas
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #185 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: boppy <boppy@RiotRadio.de>
Cc: 317333@bugs.debian.org
Subject: Re: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Mon, 22 Aug 2005 15:29:39 +0200
[Message part 1 (text/plain, inline)]
On Aug 22, boppy <boppy@RiotRadio.de> wrote:

> I use Version: 0.068-1 and kernel 2.6.12. 
> After booting there is still no /dev/input/mice.
Please try to get a debug log at boot time as explained, I cannot
reproduce this bug and I cannot do anything without further information.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #190 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: boppy <boppy@RiotRadio.de>
Cc: 317333@bugs.debian.org
Subject: Re: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Wed, 24 Aug 2005 01:26:17 +0200
[Message part 1 (text/plain, inline)]
On Aug 24, boppy <boppy@RiotRadio.de> wrote:

> No idea, it didn't work, so perhaps we can try something else. I send you a 
> part of my logfile, after I do a regular boot and before I restart udev. 
Not helpful, there are no mentions of mice.

> Aug 23 23:08:56 (none) udev[2971]: run_program: '/usr/lib/hal/hal.hotplug' 
> 'module'
> Aug 23 23:08:56 (none) udev[2986]: run_program: exec of program failed
> 
> Could it be, that /usr is not mounted at this time?
Yes, but it's harmless.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to boppy@RiotRadio.de:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #195 received at 317333@bugs.debian.org (full text, mbox):

From: boppy <boppy@RiotRadio.de>
To: "Marco d'Itri" <md@linux.it>
Subject: Re: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Wed, 24 Aug 2005 00:59:26 +0200
[Message part 1 (text/plain, inline)]
No idea, it didn't work, so perhaps we can try something else. I send you a 
part of my logfile, after I do a regular boot and before I restart udev. 

There are some error-messages:

Aug 23 23:08:56 (none) udev[2971]: run_program: '/usr/lib/hal/hal.hotplug' 
'module'
Aug 23 23:08:56 (none) udev[2986]: run_program: exec of program failed

Could it be, that /usr is not mounted at this time?


Am Dienstag, 23. August 2005 20:38 schrieben Sie:
> On Aug 23, boppy <boppy@RiotRadio.de> wrote:
> > I am sorry but it don't get this to work.
> > I boot as you told me and I'm on a clean shell.
> > / is mounted rw und syslog starts before udevstart.
> > -part of /etc/init.d/udev-
> > mount / -o rw,remount
> > /etc/init.d/sysklogd start
> >     udevstart
>
> It looks right, so I'm not sure about what's wrong.
> Try with "export UDEV_LOG=debug" before starting the init script.

[udev.log (text/x-log, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Mourad De Clerck <debian-bugs@aquazul.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #200 received at 317333@bugs.debian.org (full text, mbox):

From: Mourad De Clerck <debian-bugs@aquazul.com>
To: Marco d'Itri <md@Linux.IT>
Cc: 317333@bugs.debian.org
Subject: Re: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Wed, 24 Aug 2005 23:10:14 +0200
On Sun, 2005-08-14 at 14:57 +0200, Marco d'Itri wrote:
> On Aug 14, Mourad De Clerck <debian-bugs@aquazul.com> wrote:
> You will have to try with some extensive debugging then.

I just tried debugging:

0. (before rebooting I set udev_log="debug" in /etc/udev/udev.conf)
1. boot Debian linux-image-2.6.12-1-k7 with init=/bin/bash
2. mount / -o rw,remount
3. /etc/rcS.d/S02mountvirtfs start
4. /etc/init.d/sysklogd start
5. modprobe ohci_hcd (hotplug loads the other necessary modules, like
usbhid, and mousedev - doublechecked they are loaded in dmesg/lsmod)
6. /etc/rcS.d/S04udev start

... result: /dev/input/mice _is_ present! (annoying, as it makes it
harder to replicate/simplify the bug)

However I failed to capture any relevant bits of syslog information -
syslog only contains hotplug messages like:
Aug 24 22:32:55 (none) input.agent[1528]:      mousedev: loaded
successfully

I guess we're still not closer to figuring out what's going on.

-- M





Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #205 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Mourad De Clerck <debian-bugs@aquazul.com>
Cc: 317333@bugs.debian.org
Subject: Re: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Wed, 24 Aug 2005 23:12:06 +0200
[Message part 1 (text/plain, inline)]
On Aug 24, Mourad De Clerck <debian-bugs@aquazul.com> wrote:

> 0. (before rebooting I set udev_log="debug" in /etc/udev/udev.conf)
What happens if you do not set this?

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Mourad De Clerck <debian-bugs@aquazul.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #210 received at 317333@bugs.debian.org (full text, mbox):

From: Mourad De Clerck <debian-bugs@aquazul.com>
To: Marco d'Itri <md@Linux.IT>
Cc: 317333@bugs.debian.org
Subject: Re: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Thu, 25 Aug 2005 00:35:05 +0200
On Wed, 2005-08-24 at 23:12 +0200, Marco d'Itri wrote:
> On Aug 24, Mourad De Clerck <debian-bugs@aquazul.com> wrote:
> > 0. (before rebooting I set udev_log="debug" in /etc/udev/udev.conf)
> What happens if you do not set this?

No change whatsoever.

-- M





Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #215 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Mourad De Clerck <debian-bugs@aquazul.com>, 317333@bugs.debian.org
Subject: Re: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Thu, 25 Aug 2005 16:49:43 +0200
[Message part 1 (text/plain, inline)]
On Aug 14, Mourad De Clerck <debian-bugs@aquazul.com> wrote:

> Unfortunately, using linux-image-2.6.12-1-k7 2.6.12-2 and udev 0.066-1 I
> can still reproduce this bug. After boot certain devices don't show up,
One of the udev maintainers suggested to try adding mousedev to
/etc/modules.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to boppy@RiotRadio.de:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #220 received at 317333@bugs.debian.org (full text, mbox):

From: boppy <boppy@RiotRadio.de>
To: "Marco d'Itri" <md@linux.it>, 317333@bugs.debian.org
Subject: Re: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Thu, 25 Aug 2005 17:12:29 +0200
[Message part 1 (text/plain, inline)]
Am Donnerstag, 25. August 2005 16:49 schrieben Sie:
> On Aug 14, Mourad De Clerck <debian-bugs@aquazul.com> wrote:
> > Unfortunately, using linux-image-2.6.12-1-k7 2.6.12-2 and udev 0.066-1 I
> > can still reproduce this bug. After boot certain devices don't show up,
>
> One of the udev maintainers suggested to try adding mousedev to
> /etc/modules.

it's already in my /etc/modules 
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Mourad De Clerck <debian-bugs@aquazul.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #225 received at 317333@bugs.debian.org (full text, mbox):

From: Mourad De Clerck <debian-bugs@aquazul.com>
To: Marco d'Itri <md@Linux.IT>
Cc: 317333@bugs.debian.org
Subject: Re: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
Date: Thu, 25 Aug 2005 18:30:04 +0200
On Thu, 2005-08-25 at 16:49 +0200, Marco d'Itri wrote:
> On Aug 14, Mourad De Clerck <debian-bugs@aquazul.com> wrote:
> 
> > Unfortunately, using linux-image-2.6.12-1-k7 2.6.12-2 and udev 0.066-1 I
> > can still reproduce this bug. After boot certain devices don't show up,
> One of the udev maintainers suggested to try adding mousedev to
> /etc/modules.
> 

Actually, they are on to something because I had just found out
something significant.

I had 2 things in my /etc/modules:

mousedev
ide-cd

The reason why I added mousedev is that (quite) a while back it wouldn't
get automatically loaded. ide-cd was a debian default if I am not
mistaken.

I commented both out, and on reboot /dev/input/mice was there!

Just to make sure there were no other devices missing, I started
udevstart again and compared the before and afters:

--- dev_before_udevstart.txt    2005-08-25 16:20:35.000000000 +0200
+++ dev_after_udevstart.txt     2005-08-25 16:20:54.000000000 +0200
@@ -1,2 +1,5 @@
 /dev/
+/dev/dvd1
+/dev/cdrw1
+/dev/cdrom1
 /dev/vcsa1

Now this is weird (and new) - there's no clear reason why extra
(unecessary) dev nodes are made afterwards, and why he didn't make them
in the first place (on boot). The nodes point to the same thing:

lrwxrwxrwx  1 root root 3 Aug 25 16:19 /dev/dvd -> hdc
lrwxrwxrwx  1 root root 3 Aug 25 16:20 /dev/dvd1 -> hdc

(similarly for cdrw/cdrw1, and cdrom/cdrom1 - there's no dvd0)

I guess it's because I commented out ide-cd too ...?

It's still very weird that modules listed in /etc/modules have this
effect on udev. In the end the same modules are loaded, just at
different times (and maybe twice?).

-- Mourad






Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Kay Sievers <kay.sievers@vrfy.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #230 received at 317333@bugs.debian.org (full text, mbox):

From: Kay Sievers <kay.sievers@vrfy.org>
To: Marco d'Itri <md@Linux.IT>
Subject: Re: [debian-bugs@aquazul.com: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)]
Date: Thu, 25 Aug 2005 21:02:56 +0200
On Thu, Aug 25, 2005 at 07:47:56PM +0200, Marco d'Itri wrote:
> An interesting comment.

> Subject: Bug#317333: acknowledged by developer (Bug#317333: fixed in udev 0.063-1)
> From: Mourad De Clerck <debian-bugs@aquazul.com>
> To: Marco d'Itri <md@Linux.IT>
> Cc: 317333@bugs.debian.org

> On Thu, 2005-08-25 at 16:49 +0200, Marco d'Itri wrote:
> > On Aug 14, Mourad De Clerck <debian-bugs@aquazul.com> wrote:
> > 
> > > Unfortunately, using linux-image-2.6.12-1-k7 2.6.12-2 and udev 0.066-1 I
> > > can still reproduce this bug. After boot certain devices don't show up,
> > One of the udev maintainers suggested to try adding mousedev to
> > /etc/modules.
> > 
> 
> Actually, they are on to something because I had just found out
> something significant.
> 
> I had 2 things in my /etc/modules:
> 
> mousedev
> ide-cd
> 
> The reason why I added mousedev is that (quite) a while back it wouldn't
> get automatically loaded. ide-cd was a debian default if I am not
> mistaken.
> 
> I commented both out, and on reboot /dev/input/mice was there!

Strange, the event seems to get lost. If you restore the
failing setup and add a "sleep 1" before udevstart, does it work then?

> Just to make sure there were no other devices missing, I started
> udevstart again and compared the before and afters:
> 
> --- dev_before_udevstart.txt    2005-08-25 16:20:35.000000000 +0200
> +++ dev_after_udevstart.txt     2005-08-25 16:20:54.000000000 +0200
> @@ -1,2 +1,5 @@
>  /dev/
> +/dev/dvd1
> +/dev/cdrw1
> +/dev/cdrom1
>  /dev/vcsa1
> 
> Now this is weird (and new) - there's no clear reason why extra
> (unecessary) dev nodes are made afterwards, and why he didn't make them
> in the first place (on boot). The nodes point to the same thing:
> 
> lrwxrwxrwx  1 root root 3 Aug 25 16:19 /dev/dvd -> hdc
> lrwxrwxrwx  1 root root 3 Aug 25 16:20 /dev/dvd1 -> hdc
> 
> (similarly for cdrw/cdrw1, and cdrom/cdrom1 - there's no dvd0)
> 
> I guess it's because I commented out ide-cd too ...?
> 
> It's still very weird that modules listed in /etc/modules have this
> effect on udev. In the end the same modules are loaded, just at
> different times (and maybe twice?).

No, this is ok. %e is used, i think. That %e is not very smart and just
increases the number if the udevdb is not cleared before the run of
udevstart.

Kay



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #235 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: 317333@bugs.debian.org
Subject: udev not creating /dev/input/mice
Date: Thu, 1 Sep 2005 11:44:42 +0200
Looks like the Ubuntu people have found a workaround, but I do not know
why unix.ko is not always being correctly autoloaded.

(Anyway, a generic kernel with modular AF_UNIX is stupidly broken.)

----- Forwarded message from Jeff Bailey <jbailey@ubuntu.com> -----

From: Jeff Bailey <jbailey@ubuntu.com>
Subject: udev not creating /dev/input/mice
To: Marco d'Itri <md@Linux.IT>

We traced the race condition here, FYI: It seems that the 'unix' kernel
module isn't always loaded, so udevsend can't talk to udevd.  In our
testcases, it looks like forcing it to be loaded in advance does the
trick.

Ubuntu Bug: http://bugzilla.ubuntu.com/show_bug.cgi?id=12915

Tks,
Jeff Bailey

----- End forwarded message -----

-- 
ciao,
Marco



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #240 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: 317333@bugs.debian.org
Cc: jbailey@ubuntu.com, boppy@RiotRadio.de
Subject: Re: Bug#317333: udev not creating /dev/input/mice
Date: Thu, 1 Sep 2005 14:22:41 +0200
[Message part 1 (text/plain, inline)]
On Sep 01, Marco d'Itri <md@Linux.IT> wrote:

> Looks like the Ubuntu people have found a workaround, but I do not know
> why unix.ko is not always being correctly autoloaded.
I would like the users experiencing this bug to confirm that AF_UNIX is
modular on their system and then boot with init=/bin/bash, check that
the module is not loaded and check if it is after sending an event
this way:

ACTION=add DEVPATH=/devices/system/cpu/cpu0 SUBSYSTEM=cpu /sbin/udevsend

udevd should be started too. If this is not happening, then we have
a problem.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to boppy@RiotRadio.de:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #245 received at 317333@bugs.debian.org (full text, mbox):

From: boppy <boppy@RiotRadio.de>
To: "Marco d'Itri" <md@linux.it>
Cc: 317333@bugs.debian.org, jbailey@ubuntu.com
Subject: Re: Bug#317333: udev not creating /dev/input/mice
Date: Thu, 1 Sep 2005 18:45:53 +0200
[Message part 1 (text/plain, inline)]
Am Donnerstag, 1. September 2005 14:22 schrieb Marco d'Itri:
> I would like the users experiencing this bug to confirm that AF_UNIX is
> modular on their system and then boot with init=/bin/bash, check that
> the module is not loaded and check if it is after sending an event
> this way:
>
> ACTION=add DEVPATH=/devices/system/cpu/cpu0 SUBSYSTEM=cpu /sbin/udevsend
>
> udevd should be started too. If this is not happening, then we have
> a problem.

OK!
unix.ko is loaded and udevd started.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #250 received at 317333@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: boppy@RiotRadio.de, 317333@bugs.debian.org
Cc: jbailey@ubuntu.com
Subject: Re: Bug#317333: udev not creating /dev/input/mice
Date: Thu, 1 Sep 2005 19:15:14 +0200
[Message part 1 (text/plain, inline)]
On Sep 01, boppy <boppy@RiotRadio.de> wrote:

> unix.ko is loaded and udevd started.
Annoying. Please try these tests (not at the same time), and do multiple
reboots to be sure that it's not working for unrelated reasons:

* add "/sbin/udevd &" at the top of the init script
* add "modprobe unix" at the top of the init script

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to boppy@RiotRadio.de:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #255 received at 317333@bugs.debian.org (full text, mbox):

From: boppy <boppy@RiotRadio.de>
To: "Marco d'Itri" <md@linux.it>
Cc: 317333@bugs.debian.org, jbailey@ubuntu.com
Subject: Re: Bug#317333: udev not creating /dev/input/mice
Date: Thu, 1 Sep 2005 22:26:02 +0200
[Message part 1 (text/plain, inline)]
Am Donnerstag, 1. September 2005 19:15 schrieb Marco d'Itri:

> Annoying. Please try these tests (not at the same time), and do multiple
> reboots to be sure that it's not working for unrelated reasons:
>
> * add "/sbin/udevd &" at the top of the init script
> * add "modprobe unix" at the top of the init script

I tried it with some reboots and :

/sbin/udevd &  => works
modprobe unix => doesn't
[Message part 2 (application/pgp-signature, inline)]

Tags added: pending Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mourad De Clerck <debian-bugs@aquazul.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #262 received at 317333-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 317333-close@bugs.debian.org
Subject: Bug#317333: fixed in udev 0.069-1
Date: Thu, 15 Sep 2005 05:47:07 -0700
Source: udev
Source-Version: 0.069-1

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

udev-udeb_0.069-1_i386.udeb
  to pool/main/u/udev/udev-udeb_0.069-1_i386.udeb
udev_0.069-1.diff.gz
  to pool/main/u/udev/udev_0.069-1.diff.gz
udev_0.069-1.dsc
  to pool/main/u/udev/udev_0.069-1.dsc
udev_0.069-1_i386.deb
  to pool/main/u/udev/udev_0.069-1_i386.deb
udev_0.069.orig.tar.gz
  to pool/main/u/udev/udev_0.069.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 317333@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 15 Sep 2005 13:18:01 +0200
Source: udev
Binary: udev udev-udeb
Architecture: source i386
Version: 0.069-1
Distribution: unstable
Urgency: medium
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 udev       - /dev/ management daemon
 udev-udeb  - /dev/ management daemon (udeb)
Closes: 317333 325976 328094
Changes: 
 udev (0.069-1) unstable; urgency=medium
 .
   * New upstream release.
     + Fixes firmware loader timeouts. (Closes: #328094)
     + Removes chassis_id and cdsymlinks.sh.
   * Manually start udevd in the init script. I do not why this works, but
     it fixes the problem with some devices not being created the first time
     udevstart is run. (Closes: #317333)
   * Made scsi_id create temporary files in /dev/. (Closes: #325976)
   * devfs.rules, udev.rules: replaced dvb.sh with inline shell code and
     ide-model.sh with ata_id.
   * hotplugd.rules: added support for a generic remover command.
   * permissions.rules: added tpm* tpm:tpm 0600.
   * cd-aliases.rules, permissions.rules: moved to permissions.rules the
     call to cdrom_id for IDE devices and the GROUP attribute setting.
   * Removed simple-cd-aliases.rules because it's not really different from
     the new cd-aliases.rules. Preinst will automatically replace the link,
     if present.
   * Removed again the dependency on coldplug.
   * Added an example vim syntax file for rules files.
Files: 
 db8df5d24840b4c865c12812f33f6c90 576 admin optional udev_0.069-1.dsc
 7fa17e15d8c5f0c641ebdab84ce39c3a 438117 admin optional udev_0.069.orig.tar.gz
 c627158bb4536437d7c807babbf0d0e8 32025 admin optional udev_0.069-1.diff.gz
 be9e731104aee75a789365d9ea1a3509 299006 admin optional udev_0.069-1_i386.deb
 c2fba49e9db7b43930db191cda06d1a2 68212 debian-installer optional udev-udeb_0.069-1_i386.udeb
package-type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDKWH8FGfw2OHuP7ERAm/UAJoDaF9Om7kEkPdE/Ei2/R6RleWe+gCfUP/C
seL/YHbcRRkW50RmOwO2++w=
=i5cq
-----END PGP SIGNATURE-----




Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mourad De Clerck <debian-bugs@aquazul.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #267 received at 317333-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 317333-close@bugs.debian.org
Subject: Bug#317333: fixed in udev 0.070-1
Date: Thu, 15 Sep 2005 11:47:10 -0700
Source: udev
Source-Version: 0.070-1

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

udev-udeb_0.070-1_i386.udeb
  to pool/main/u/udev/udev-udeb_0.070-1_i386.udeb
udev_0.070-1.diff.gz
  to pool/main/u/udev/udev_0.070-1.diff.gz
udev_0.070-1.dsc
  to pool/main/u/udev/udev_0.070-1.dsc
udev_0.070-1_i386.deb
  to pool/main/u/udev/udev_0.070-1_i386.deb
udev_0.070.orig.tar.gz
  to pool/main/u/udev/udev_0.070.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 317333@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 15 Sep 2005 13:18:01 +0200
Source: udev
Binary: udev udev-udeb
Architecture: source i386
Version: 0.070-1
Distribution: unstable
Urgency: medium
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 udev       - /dev/ management daemon
 udev-udeb  - /dev/ management daemon (udeb)
Closes: 317333 325976 328094
Changes: 
 udev (0.070-1) unstable; urgency=medium
 .
   * New upstream release.
     + Fixes firmware loader timeouts. (Closes: #328094)
     + Removes chassis_id and cdsymlinks.sh.
   * Manually start udevd in the init script. I do not why this works, but
     it fixes the problem with some devices not being created the first time
     udevstart is run. (Closes: #317333)
   * Made scsi_id create temporary files in /dev/. (Closes: #325976)
   * devfs.rules, udev.rules: replaced dvb.sh with inline shell code and
     ide-model.sh with ata_id.
   * hotplugd.rules: added support for a generic remover command.
   * permissions.rules: added tpm* tpm:tpm 0600.
   * cd-aliases.rules, permissions.rules: moved to permissions.rules the
     call to cdrom_id for IDE devices and the GROUP attribute setting.
   * Removed simple-cd-aliases.rules because it's not really different from
     the new cd-aliases.rules. Preinst will automatically replace the link,
     if present.
   * Removed again the dependency on coldplug.
   * Added an example vim syntax file for rules files.
Files: 
 8d49c902502ee33865fe3bfe6395fa09 576 admin optional udev_0.070-1.dsc
 f8a247c67ee171cb4ee7d906eb674f42 439934 admin optional udev_0.070.orig.tar.gz
 9451cccf7f46e18a3d78846b0a084564 31265 admin optional udev_0.070-1.diff.gz
 f472689ef8553ef0d76d14d7c3548cfd 300108 admin optional udev_0.070-1_i386.deb
 f30dfb3486d50d5f4321610ed34221c9 68208 debian-installer optional udev-udeb_0.070-1_i386.udeb
package-type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDKb6tFGfw2OHuP7ERAhOkAJ0a/vS4xMMN3hZlo/qnwKKaImV+eQCfcj3a
a2BpAEIdKfxPRqDfY5n6/1s=
=D9mF
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #272 received at 317333@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@ubuntu.com>
To: linux-hotplug-devel@lists.sourceforge.net
Cc: 317333@bugs.debian.org, Marco d'Itri <md@linux.it>
Subject: The case of udev and the missing /dev/input/mice
Date: Wed, 21 Sep 2005 03:38:06 +0100
[Message part 1 (text/plain, inline)]
Background: in the upcoming Ubuntu 5.10 we've been having some problems
with /dev/input/mice not being created on startup despite the "mousedev"
module being hard-loaded early in the boot sequence.
(http://bugzilla.ubuntu.com/show_bug.cgi?id=12915 for those interested).

Debian has had similar problems too (http://bugs.debian.org/317333) and
found that starting udevd earlier manually seemed to fix it.


After much debugging, I've finally figured out what's going on ... it's
a bit of a story, but here goes...


Your system boots up and gets to the S:S20modules-init-tools stage,
that's where we read /etc/modules and modprobe the modules in order.
Now modprobe is basically just a kernel request, and these days tends to
return pretty quicky to userspace without blocking for everything to
happen.

Deep Black Magic happens inside the kernel, and once it's done it
generates a series of hotplug events which it passes back to userspace
through two means; by running the program specified
in /proc/sys/kernel/hotplug with interesting environment; and also
through a netlink socket.

/proc/sys/kernel/hotplug is "udevsend", a tool that gathers up this
environment and sends it over a local socket to the "udevd" process that
marshals all of these events.  If there's no daemon listening it tries
to start one up, and will retry sending the event for a while until it
gets to the other end.

Now we have a whole bunch of udevsend processes all run at pretty much
the same time, all of these try to start up udevd and all of the udevd
processes try to bind to the local socket to receive events on.  One of
them wins, the rest die and go away.  A little time passes by which time
all of the running udevsend will have dispatched their event to this
udevd that will marshal them.

This udevd _also_ begins listening on the netlink socket, as it's a
better way to get events from the kernel than having it execute
something which mucks around with IPC to get it to us.

Meanwhile the kernel is happily generating both /proc/sys/kernel/hotplug
and netlink events for what's happening on the box, in fact it's been
doing this all the time udevd has been getting its clothes on.

If the module sequence loaded is something like "psmouse, mousedev, ...,
lp" (exactly as it is in breezy machines that have been upgraded from
warty/hoary[0]) you may find that the first netlink event you receive is
actually for the printer port.

But that's ok, we had udevsend events for the rest...

Well, that's the theory; sadly here's the practice.

On receiving the netlink event for the printer port, udevd disables
receipt of any "sequence numbered" events from udevsend (ie. those that
will almost certainly be duplicated over the netlink socket).
Unfortunately this means all the udevsend events we're about to receive
from the processes that backed off a second or so while fighting over
who got to start udevd[1].

These udevsend processes deliver their events to udevd, which cheerfully
ignores them because it thinks it's going to get another copy over the
netlink socket any second now.  Unfortunately the netlink event has
already been and gone, and we just ignored an event we weren't supposed
to.


The two problems as I see them are:

1) The fact that receiving a netlink event disables sequence numbered
   udevsend events, when there's already code to deal with de-duping
   events anyway.  Is there actually any need for this additional check,
   can't we just queue both events and have them ignored by
   msg_queue_insert() ?

2) That this ignoring of events is done at receipt, rather than in queue
   order.  This means that the "later" parport_pc netlink event is able
   to disable queueing of udevsend events with a lower sequence number.

I can envisage that #1 is necessary in case the time between receiving
the udevsend and netlink event is so long that we've already processed
and removed one of the events by the time the second is queued.  In
which case the problem becomes fixing #2, however unless the kernel
promises strict ordering of events over the netlink socket (which I
doubt, otherwise it wouldn't need sequence numbers), we can't assume
that we've received all of the pre-netlink events we are going to.

I suspect the right solution is actually to implement history of what
events we've already processed, and de-dupe them that way; rather than
ignoring messages on receipt.

Scott

[0] A common "fix" has been to simply install breezy fresh; this happens
    to change the /etc/modules order slightly and thus hide the bug.
[1] And if we deliberately start udevd before we begin any of this
    module loading, it sees the netlink event, and thus again hides the 
    bug.
-- 
Scott James Remnant
scott@ubuntu.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Kay Sievers <kay.sievers@vrfy.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #277 received at 317333@bugs.debian.org (full text, mbox):

From: Kay Sievers <kay.sievers@vrfy.org>
To: Scott James Remnant <scott@ubuntu.com>
Cc: linux-hotplug-devel@lists.sourceforge.net, 317333@bugs.debian.org, Marco d'Itri <md@linux.it>
Subject: Re: The case of udev and the missing /dev/input/mice
Date: Wed, 21 Sep 2005 11:51:27 +0200
On Wed, Sep 21, 2005 at 03:38:06AM +0100, Scott James Remnant wrote:
> Background: in the upcoming Ubuntu 5.10 we've been having some problems
> with /dev/input/mice not being created on startup despite the "mousedev"
> module being hard-loaded early in the boot sequence.
> (http://bugzilla.ubuntu.com/show_bug.cgi?id=12915 for those interested).
> 
> Debian has had similar problems too (http://bugs.debian.org/317333) and
> found that starting udevd earlier manually seemed to fix it.

Yes, that's a good way to fix it.

> After much debugging, I've finally figured out what's going on ... it's
> a bit of a story, but here goes...

Great, we finally have an idea why this happens. Thanks for finding that
out.

> On receiving the netlink event for the printer port, udevd disables
> receipt of any "sequence numbered" events from udevsend (ie. those that
> will almost certainly be duplicated over the netlink socket).
> Unfortunately this means all the udevsend events we're about to receive
> from the processes that backed off a second or so while fighting over
> who got to start udevd[1].
> 
> These udevsend processes deliver their events to udevd, which cheerfully
> ignores them because it thinks it's going to get another copy over the
> netlink socket any second now.  Unfortunately the netlink event has
> already been and gone, and we just ignored an event we weren't supposed
> to.
> 
> 
> The two problems as I see them are:
> 
> 1) The fact that receiving a netlink event disables sequence numbered
>    udevsend events, when there's already code to deal with de-duping
>    events anyway.  Is there actually any need for this additional check,
>    can't we just queue both events and have them ignored by
>    msg_queue_insert() ?
> 
> 2) That this ignoring of events is done at receipt, rather than in queue
>    order.  This means that the "later" parport_pc netlink event is able
>    to disable queueing of udevsend events with a lower sequence number.
> 
> I can envisage that #1 is necessary in case the time between receiving
> the udevsend and netlink event is so long that we've already processed
> and removed one of the events by the time the second is queued.

Yes, that was the reason for ignoring the incoming messages.

> In which case the problem becomes fixing #2, however unless the kernel
> promises strict ordering of events over the netlink socket (which I
> doubt, otherwise it wouldn't need sequence numbers)

Netlink events are always in the right order. The SEQNUM is only needed
for the forked events.

> we can't assume
> that we've received all of the pre-netlink events we are going to.

Right, as "/proc/sys/kernel/hotplug" events are forked processes, you will
never know when and in which order they will arrive.

> I suspect the right solution is actually to implement history of what
> events we've already processed, and de-dupe them that way; rather than
> ignoring messages on receipt.

We could just accept all events with a lower sequence number as the first
netlink event's one, that may fix it.

The "right solution" is to start udevd as one of the first things
after taking over control from the kernel. This way you will only catch
the events for the last "non driver core" subsystem, the input layer.

At the time the input layer is fixed, the need for udevsend will
completely go away and /proc/sys/kernel/hotplug should be disabled
when taking over control from the kernel - it is only needed in
initramfs.
After input is fixed, the whole event reordering and timeout handling
will be removed from udevd and we need to start udevd manually anyway.

Kay



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#317333; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #282 received at 317333@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@ubuntu.com>
To: Kay Sievers <kay.sievers@vrfy.org>
Cc: linux-hotplug-devel@lists.sourceforge.net, 317333@bugs.debian.org, Marco d'Itri <md@linux.it>
Subject: Re: The case of udev and the missing /dev/input/mice
Date: Wed, 21 Sep 2005 13:53:54 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2005-09-21 at 11:51 +0200, Kay Sievers wrote:

> On Wed, Sep 21, 2005 at 03:38:06AM +0100, Scott James Remnant wrote:
> > Background: in the upcoming Ubuntu 5.10 we've been having some problems
> > with /dev/input/mice not being created on startup despite the "mousedev"
> > module being hard-loaded early in the boot sequence.
> > (http://bugzilla.ubuntu.com/show_bug.cgi?id=12915 for those interested).
> > 
> > Debian has had similar problems too (http://bugs.debian.org/317333) and
> > found that starting udevd earlier manually seemed to fix it.
> 
> Yes, that's a good way to fix it.
> 
One thing I'd like to see changed in udevd is to move the
init_udevd_socket() and init_uevent_netlink_sock() calls to above the
daemonization; that way when you call "udevd --daemon" from the init
script, you *know* that the next command may cause a netlink event.

Right now there's an unknown amount of time between calling "udevd
--daemon" and being able to safely "modprobe".

This'd also mean that udevd could exit with an error status if it's
unable to create the necessary sockets; rather than the child exiting
and the status being lost.

Scott
-- 
Scott James Remnant
scott@ubuntu.com
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 03:47:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:11:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.